--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: model
comment: 
- !ruby/struct:SM::Flow::P 
  body: Iterate over each descendant
- !ruby/struct:SM::Flow::P 
  body: "@yield [model]"
- !ruby/struct:SM::Flow::VERB 
  body: "  iterate over each descendant\n"
- !ruby/struct:SM::Flow::P 
  body: "@yieldparam [Model] model"
- !ruby/struct:SM::Flow::VERB 
  body: "  the descendant model\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [DescendantSet]"
- !ruby/struct:SM::Flow::VERB 
  body: "  self\n"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Model::DescendantSet#each
is_singleton: false
name: each
params: () {|model| ...}
visibility: public
